#
# spec file for package alsa-ucm-conf
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           alsa-ucm-conf
Version:        1.2.4
Release:        4.13
Summary:        ALSA UCM Profiles
License:        BSD-3-Clause
URL:            http://www.alsa-project.org/
BuildRequires:  fdupes
Source:         ftp://ftp.alsa-project.org/pub/lib/alsa-ucm-conf-%{version}.tar.bz2
Patch1:         0001-fix-the-ucm2-codecs-hda-hdmi.conf-use.patch
Patch2:         0002-codecs-hda-hdmi.conf-add-DisplayPort-to-the-device-d.patch
Patch3:         0003-sof-soundwire-use-the-codecs-hda-hdmi.conf-macro.patch
Patch4:         0004-Revert-ucm2-HDA-acp-add-Capture-simple-mixer-element.patch
Patch5:         0005-chtnau8824-Fix-mono-speaker-config-not-working.patch
Patch6:         0006-chtnau8824-Add-support-for-laptops-using-stereo-DMIC.patch
Patch7:         0007-chtnau8824-Boost-analog-mic-volumes-a-bit.patch
Patch8:         0008-rt715-init-setup-ADC07-to-a-proper-volume.patch
Patch9:         0009-sof-hda-dsp-Set-Master-Playback-Switch-on-in-the-Boo.patch
Patch10:        0010-HDA-Intel-HiFi-dual-Add-EnableSequence-and-DisableSe.patch
Patch11:        0011-HDA-Intel-HiFi-dual-Add-BootSequence-and-disable-pla.patch
Patch12:        0012-chtrt5645-Enable-Internal-MIC-of-ECS-EF20EA.patch
Patch13:        0013-bytcr-rt5640-Add-support-for-devices-without-speaker.patch
Patch14:        0014-rt5640-Move-standard-DAC-setup-to-EnableSeq.conf.patch
Patch15:        0015-bytcr-rt5640-fix-the-execution-order.patch
Patch16:        0016-ucm2-add-initial-configuration-for-TRX40-Gigabyte-Ao.patch
Patch17:        0017-USB-Audio-ALC1220-Bump-analog-Speaker-priority-over-.patch
Patch18:        0018-USB-Audio-ALC1220-fix-indentation-for-Speaker-device.patch
Patch19:        0019-USB-Audio-fix-indentation-in-Gigabyte-Aorus-Master-M.patch
Patch20:        0020-chtnau8824-Add-a-SST-define-variable.patch
Patch21:        0021-kblrt5660-Fix-file-permissions.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the profiles files for ALSA UCM (Use Case Manager).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/alsa
cp -a ucm %{buildroot}%{_datadir}/alsa/
cp -a ucm2 %{buildroot}%{_datadir}/alsa/
%fdupes -s %{buildroot}

%files
%defattr(-, root, root)
%doc README.md
%license LICENSE
%{_datadir}/alsa

%changelog
* Thu Jan 21 2021 tiwai@suse.de
- Backport upstream fixes:
  more Baytrail/Cherrytrail profiles, TRX40 / ALC1220-VLC profiles:
  0013-bytcr-rt5640-Add-support-for-devices-without-speaker.patch
  0014-rt5640-Move-standard-DAC-setup-to-EnableSeq.conf.patch
  0015-bytcr-rt5640-fix-the-execution-order.patch
  0016-ucm2-add-initial-configuration-for-TRX40-Gigabyte-Ao.patch
  0017-USB-Audio-ALC1220-Bump-analog-Speaker-priority-over-.patch
  0018-USB-Audio-ALC1220-fix-indentation-for-Speaker-device.patch
  0019-USB-Audio-fix-indentation-in-Gigabyte-Aorus-Master-M.patch
  0020-chtnau8824-Add-a-SST-define-variable.patch
  0021-kblrt5660-Fix-file-permissions.patch
- Run fdupes to reduce the duplicated files
* Tue Jan  5 2021 tiwai@suse.de
- Backport upstream fixes: HD-audio dual codec fixes and the builtin
  mic fix for rt5645-based devices:
  0010-HDA-Intel-HiFi-dual-Add-EnableSequence-and-DisableSe.patch
  0011-HDA-Intel-HiFi-dual-Add-BootSequence-and-disable-pla.patch
  0012-chtrt5645-Enable-Internal-MIC-of-ECS-EF20EA.patch
* Mon Dec 14 2020 tiwai@suse.de
- Backport upstream fixes: AMD MCP mute issue, chtnau8824 fixes,
  rt715 fix, and soundwire initialization fix:
  0004-Revert-ucm2-HDA-acp-add-Capture-simple-mixer-element.patch
  0005-chtnau8824-Fix-mono-speaker-config-not-working.patch
  0006-chtnau8824-Add-support-for-laptops-using-stereo-DMIC.patch
  0007-chtnau8824-Boost-analog-mic-volumes-a-bit.patch
  0008-rt715-init-setup-ADC07-to-a-proper-volume.patch
  0009-sof-hda-dsp-Set-Master-Playback-Switch-on-in-the-Boo.patch
* Tue Dec  1 2020 tiwai@suse.de
- Backport upstream fixes for HD-audio and soundwire HDMI:
  0001-fix-the-ucm2-codecs-hda-hdmi.conf-use.patch
  0002-codecs-hda-hdmi.conf-add-DisplayPort-to-the-device-d.patch
  0003-sof-soundwire-use-the-codecs-hda-hdmi.conf-macro.patch
- Revert the workaround for the missing HD-audio init
* Wed Oct 21 2020 tiwai@suse.de
- Update to alsa-ucm-conf 1.2.4:
  Major version up, most of changes have been already applied via
  backport patches.  See details in
    https://alsa-project.org/wiki/Changes_v1.2.3.2_v1.2.4
- Drop obsoleted patches:
  0001-bytcr-rt5640-Fix-DMIC1-not-working-when-connected-ov.patch
  0002-bytcr-rt5651-Fix-high-noise-level-soft-input-on-DMIC.patch
  0003-chtrt5645-Add-ASUSTeKCOMPUTERINC.-T101HA-1.0.conf-sy.patch
  0004-sof-hda-dsp-don-t-fail-if-Auto-Mute-control-is-not-p.patch
  0005-ucm2-use-Include-Syntax-3.patch
  0006-chtrt5645-merge-all-possible-configurations-to-HiFi..patch
  0007-cht-bsw-rt5672-merge-all-possible-configurations-to-.patch
  0008-chtnau8824-merge-all-possible-configurations-to-HiFi.patch
  0009-ucm.conf-add-support-for-the-kernel-module-name-tree.patch
  0010-sof-hda-dsp-make-Headphone-Playback-Switch-condition.patch
  0011-sof-hda-dsp-add-initial-kcontrol-values.patch
  0012-sof-hda-dsp-make-the-boot-init-optional-for-all-cont.patch
  0013-bdw-rt5677-add-support-for-legacy-and-SOF-drivers.patch
  0014-broadwell-rt286-add-SOF-support.patch
  0015-sof-soundwire-initial-UCM2-version.patch
  0016-sof-soundwire-cleanups-recommended-by-the-ucm-valida.patch
  0017-sof-soundwire-rewrite-for-syntax-3.patch
  0018-sof-hda-dsp-fix-the-device-order-Hdmi-devices.patch
  0019-HDA-Intel-add-support-for-AMD-acp-microphone-devices.patch
  0020-DAISY-I2S-move-to-Samsung-snow-snow.conf.patch
  0021-DB410c-move-to-Qualcomm-apq8016-sbc.patch
  0022-DB820c-DB845c-move-to-Qualcomm-tree.patch
  0023-PAZ00-tegraalc5632-move-to-Tegra-alc5632-tree.patch
  0024-VEYRON-I2C-move-to-Rockchip-max98090-tree.patch
  0025-Pandaboard-ES-move-to-OMAP-abe-twl6040-tree.patch
  0026-GoogleNyan-move-to-Tegra-max98090.patch
  0027-SDP4430-Move-to-OMAP-abe-twl6040-SDP4430-tree.patch
  0028-Fix-invalid-Regex-Type-in-various-Condition-blocks.patch
  0029-cht-bsw-rt5672-Add-Lenovo-Miix-2-10-specific-configu.patch
  0030-cht-bsw-rt5672-Add-Lenovo-ThinkPad-10-specific-confi.patch
  0031-cht-bsw-rt5672-Boost-ADC-volume-a-bit.patch
  0032-chtrt5645-Restore-stereo-sound-output-when-switching.patch
  0033-DB820c-Correctly-move-DB820c-to-Qualcomm-apq8096.patch
  0034-sof-hda-dsp-fixup-typo-in-Hdmi.conf.patch
  0035-sof-hda-dsp-use-sof-hda-dsp-Hdmi.conf.patch
  0036-hda-hdmi-add-HDMI4-HDMI5-HDMI6-devices.patch
  0037-update-ucm2-README.md-more-kernel-module-lookup-clar.patch
  0038-ucm2-Add-config-for-Rockchip-rk3399-gru-sound.patch
  0039-amd-renoir-acp-use-the-machine-driver-s-name-for-top.patch
  0040-amd-renoir-acp-Add-Syntax-3-in-the-module-lib-Linked.patch
  0041-Correct-conflicting-mic-in-max98090.patch
  0042-HDA-Intel-HiFi-dual-Fix-the-Rear-Mic-s-Jack-name.patch
  0043-USB-Audio-Dell-WD15-Dock-make-input-and-output-volum.patch
  0044-Rockchip-rk3399-gru-sound-remove-zero-PCM-subdevice.patch
  0045-ucm2-ucm.conf-fix-the-fix-the-sysfs-kernel-module-pa.patch
  0046-Revert-amd-renoir-acp-use-the-machine-driver-s-name-.patch
  0047-ucm2-module-rename-rk3399-gru-sound.conf-snd_soc_rk3.patch
  0048-ucm2-HDA-acp-add-Capture-simple-mixer-element-to-the.patch
  0049-HDA-Intel-only-add-the-acp-dmic-to-the-sound-card-wi.patch
  0050-Add-support-for-Lenovo-ThinkStation-P620-Main-Audio.patch
  0051-ucm2-Qualcomm-sdm845-fixes-HDMI-select-card-and-HiFi.patch
* Tue Sep 29 2020 tiwai@suse.de
- Disable HDA-Intel UCM conf due to a regression on openQA (the
  muted state as default)
* Mon Sep  7 2020 tiwai@suse.de
- Update from alsa-ucm-conf git (commit 3048ff7b15a9):
  mainly for adding the support for sof-soundwire (bsc#1176200):
  0001-bytcr-rt5640-Fix-DMIC1-not-working-when-connected-ov.patch
  0002-bytcr-rt5651-Fix-high-noise-level-soft-input-on-DMIC.patch
  0003-chtrt5645-Add-ASUSTeKCOMPUTERINC.-T101HA-1.0.conf-sy.patch
  0004-sof-hda-dsp-don-t-fail-if-Auto-Mute-control-is-not-p.patch
  0005-ucm2-use-Include-Syntax-3.patch
  0006-chtrt5645-merge-all-possible-configurations-to-HiFi..patch
  0007-cht-bsw-rt5672-merge-all-possible-configurations-to-.patch
  0008-chtnau8824-merge-all-possible-configurations-to-HiFi.patch
  0009-ucm.conf-add-support-for-the-kernel-module-name-tree.patch
  0010-sof-hda-dsp-make-Headphone-Playback-Switch-condition.patch
  0011-sof-hda-dsp-add-initial-kcontrol-values.patch
  0012-sof-hda-dsp-make-the-boot-init-optional-for-all-cont.patch
  0013-bdw-rt5677-add-support-for-legacy-and-SOF-drivers.patch
  0014-broadwell-rt286-add-SOF-support.patch
  0015-sof-soundwire-initial-UCM2-version.patch
  0016-sof-soundwire-cleanups-recommended-by-the-ucm-valida.patch
  0017-sof-soundwire-rewrite-for-syntax-3.patch
  0018-sof-hda-dsp-fix-the-device-order-Hdmi-devices.patch
  0019-HDA-Intel-add-support-for-AMD-acp-microphone-devices.patch
  0020-DAISY-I2S-move-to-Samsung-snow-snow.conf.patch
  0021-DB410c-move-to-Qualcomm-apq8016-sbc.patch
  0022-DB820c-DB845c-move-to-Qualcomm-tree.patch
  0023-PAZ00-tegraalc5632-move-to-Tegra-alc5632-tree.patch
  0024-VEYRON-I2C-move-to-Rockchip-max98090-tree.patch
  0025-Pandaboard-ES-move-to-OMAP-abe-twl6040-tree.patch
  0026-GoogleNyan-move-to-Tegra-max98090.patch
  0027-SDP4430-Move-to-OMAP-abe-twl6040-SDP4430-tree.patch
  0028-Fix-invalid-Regex-Type-in-various-Condition-blocks.patch
  0029-cht-bsw-rt5672-Add-Lenovo-Miix-2-10-specific-configu.patch
  0030-cht-bsw-rt5672-Add-Lenovo-ThinkPad-10-specific-confi.patch
  0031-cht-bsw-rt5672-Boost-ADC-volume-a-bit.patch
  0032-chtrt5645-Restore-stereo-sound-output-when-switching.patch
  0033-DB820c-Correctly-move-DB820c-to-Qualcomm-apq8096.patch
  0034-sof-hda-dsp-fixup-typo-in-Hdmi.conf.patch
  0035-sof-hda-dsp-use-sof-hda-dsp-Hdmi.conf.patch
  0036-hda-hdmi-add-HDMI4-HDMI5-HDMI6-devices.patch
  0037-update-ucm2-README.md-more-kernel-module-lookup-clar.patch
  0038-ucm2-Add-config-for-Rockchip-rk3399-gru-sound.patch
  0039-amd-renoir-acp-use-the-machine-driver-s-name-for-top.patch
  0040-amd-renoir-acp-Add-Syntax-3-in-the-module-lib-Linked.patch
  0041-Correct-conflicting-mic-in-max98090.patch
  0042-HDA-Intel-HiFi-dual-Fix-the-Rear-Mic-s-Jack-name.patch
  0043-USB-Audio-Dell-WD15-Dock-make-input-and-output-volum.patch
  0044-Rockchip-rk3399-gru-sound-remove-zero-PCM-subdevice.patch
  0045-ucm2-ucm.conf-fix-the-fix-the-sysfs-kernel-module-pa.patch
  0046-Revert-amd-renoir-acp-use-the-machine-driver-s-name-.patch
  0047-ucm2-module-rename-rk3399-gru-sound.conf-snd_soc_rk3.patch
  0048-ucm2-HDA-acp-add-Capture-simple-mixer-element-to-the.patch
  0049-HDA-Intel-only-add-the-acp-dmic-to-the-sound-card-wi.patch
  0050-Add-support-for-Lenovo-ThinkStation-P620-Main-Audio.patch
  0051-ucm2-Qualcomm-sdm845-fixes-HDMI-select-card-and-HiFi.patch
* Tue Jun  9 2020 tiwai@suse.de
- Update to alsa-ucm-conf 1.2.3:
  including previous fixes, see the detailed changes at:
  https://www.alsa-project.org/wiki/Detailed_changes_v1.2.2_v1.2.3
- Dropped obsoleted patches:
  0001-sof-bdw-rt5677-initial-port-to-UCM2.patch
  0002-ucm2-treewide-JackHWMute-fixes.patch
  0003-sof-hda-dsp-Support-systems-without-integrated-graph.patch
  0004-hda-dsp-add-basic-ucm-config.patch
  0005-update-README-files.patch
  0006-bytcr-rt5651-Fix-dmic-check-in-HiFi-Components.conf.patch
  0007-chtrt5645-Add-ASUSTeKCOMPUTERINC.-T100HAN-1.0-symlin.patch
  0008-chtrt5645-Add-MEDION-E1239TMD60568-0.1-Wingman.conf-.patch
  0009-chtrt5645-Remove-bogus-JackHWMute-settings.patch
  0010-sof-hda-dsp-change-Headphones2-to-Mic2.patch
  0011-ucm2-remove-empty-enable-disable-sequence-sections.patch
  0012-ucm2-fix-indentation-use-tabs.patch
  0013-Add-initial-support-for-Realtek-ALC1220-TRX40-mother.patch
  0014-ucm2-fix-chtrt5650-configuration-ucm-validator.patch
  0015-bytcr-rt5651-fix-the-cfg-mic-in1-cfg-mic-in12-match-.patch
  0016-ucm-fix-wrong-If-in-sequence-in-HiFi-dual.conf.patch
  0100-ucm2-Add-profile-for-Chromebook-Asus-C300.patch
* Wed May 27 2020 tiwai@suse.de
- More catch up of upstream fixes: mostly cosmetic style fixes:
  0011-ucm2-remove-empty-enable-disable-sequence-sections.patch
  0012-ucm2-fix-indentation-use-tabs.patch
  0013-Add-initial-support-for-Realtek-ALC1220-TRX40-mother.patch
  0014-ucm2-fix-chtrt5650-configuration-ucm-validator.patch
  0015-bytcr-rt5651-fix-the-cfg-mic-in1-cfg-mic-in12-match-.patch
  0016-ucm-fix-wrong-If-in-sequence-in-HiFi-dual.conf.patch
- Add UCM profile for Chromebook Asus C300 (bsc#1171492):
  0100-ucm2-Add-profile-for-Chromebook-Asus-C300.patch
* Mon Apr 20 2020 tiwai@suse.de
- Backport upstream fixes:
  HDA SOF DSP support, Intel Atom profiles, etc
  0004-hda-dsp-add-basic-ucm-config.patch
  0005-update-README-files.patch
  0006-bytcr-rt5651-Fix-dmic-check-in-HiFi-Components.conf.patch
  0007-chtrt5645-Add-ASUSTeKCOMPUTERINC.-T100HAN-1.0-symlin.patch
  0008-chtrt5645-Add-MEDION-E1239TMD60568-0.1-Wingman.conf-.patch
  0009-chtrt5645-Remove-bogus-JackHWMute-settings.patch
  0010-sof-hda-dsp-change-Headphones2-to-Mic2.patch
* Fri Mar 13 2020 tiwai@suse.de
- Update to alsa-ucm-conf 1.2.2:
  including previous fixes
- Backport recent upstream fixes: SOF, BDW-rt5677 and jack fixes;
  0001-sof-bdw-rt5677-initial-port-to-UCM2.patch
  0002-ucm2-treewide-JackHWMute-fixes.patch
  0003-sof-hda-dsp-Support-systems-without-integrated-graph.patch
- Drop obsoleted patches:
  0001-sof-hda-dsp-Fix-the-Dmic0-CaptureMixerElem-for-v1.4..patch
  0002-sof-hda-dsp-Use-more-strict-names-according-latest-u.patch
  0003-README-remove-topologies-note.patch
  0004-bytcht-es8316-Fix-missing-including-of-HeadPhones.co.patch
  0005-ucm2-fix-the-verb-path-in-chtrt5645-chtrt5645-dmic2..patch
  0006-broadwell-rt286-add-support-for-hardware-volume-conf.patch
  0007-broxton-rt298-corrections-cleanups.patch
  0008-bytcr-rt5640-cleanups-and-corrections.patch
  0009-bytcr-rt5651-cleanups-and-corrections.patch
  0010-bytcht-cx2072x-cleanups-and-corrections.patch
  0011-bytcht-es8316-cleanups-and-corrections.patch
  0012-DAISY-I2S-added-back-PCM-devices.patch
  0013-DB410c-cleanups-and-corrections.patch
  0014-DB820c-cleanups-and-corrections.patch
  0015-Dell-WD15-Dock-cleaups-and-corrections.patch
  0016-HDA-Intel-HiFi-dual-fixes-and-corrections.patch
  0017-cht-bsw-rt5672-fixes-and-corrections.patch
  0018-chtnau8824-fixes-and-corrections.patch
  0019-skylake-rt286-fixes-and-corrections.patch
  0020-SDP4430-corrections-and-fixes.patch
  0021-sof-hda-dsp-fix-typo-PlaybackMixerMaster-PlaybackMas.patch
  0022-broadwell-rt286-add-correct-prefix-to-Priority-field.patch
  0023-GoogleNyan-comment-CaptureControl-what-is-this.patch
  0024-VEYRON-I2S-corrections-and-fixes.patch
  0025-SDP4430-corrections-and-fixes.patch
  0026-chtrt5645-corrections-and-fixes.patch
  0027-GoogleNyan-corrections-and-fixes.patch
  0028-PAZ00-corrections-and-fixes.patch
  0029-SDP4430-corrections-and-fixes.patch
  0030-PandaBoard-corrections-and-fixes.patch
  0031-PandaBoardES-corrections-and-fixes.patch
  0032-kblrt5660-corrections-and-fixes.patch
  0033-bytcr-rt5640-corrections-and-fixes.patch
  0034-bytcht-es8316-corrections-and-fixes.patch
  0035-sof-hda-dsp-corrections-and-fixes.patch
  0036-ucm2-treewide-remove-Playback-and-Capture-channels-2.patch
* Wed Feb 12 2020 tiwai@suse.de
- Backport upstream fixes: cleanup and correctsion for ucm2:
  0007-broxton-rt298-corrections-cleanups.patch
  0008-bytcr-rt5640-cleanups-and-corrections.patch
  0009-bytcr-rt5651-cleanups-and-corrections.patch
  0010-bytcht-cx2072x-cleanups-and-corrections.patch
  0011-bytcht-es8316-cleanups-and-corrections.patch
  0012-DAISY-I2S-added-back-PCM-devices.patch
  0013-DB410c-cleanups-and-corrections.patch
  0014-DB820c-cleanups-and-corrections.patch
  0015-Dell-WD15-Dock-cleaups-and-corrections.patch
  0016-HDA-Intel-HiFi-dual-fixes-and-corrections.patch
  0017-cht-bsw-rt5672-fixes-and-corrections.patch
  0018-chtnau8824-fixes-and-corrections.patch
  0019-skylake-rt286-fixes-and-corrections.patch
  0020-SDP4430-corrections-and-fixes.patch
  0021-sof-hda-dsp-fix-typo-PlaybackMixerMaster-PlaybackMas.patch
  0022-broadwell-rt286-add-correct-prefix-to-Priority-field.patch
  0023-GoogleNyan-comment-CaptureControl-what-is-this.patch
  0024-VEYRON-I2S-corrections-and-fixes.patch
  0025-SDP4430-corrections-and-fixes.patch
  0026-chtrt5645-corrections-and-fixes.patch
  0027-GoogleNyan-corrections-and-fixes.patch
  0028-PAZ00-corrections-and-fixes.patch
  0029-SDP4430-corrections-and-fixes.patch
  0030-PandaBoard-corrections-and-fixes.patch
  0031-PandaBoardES-corrections-and-fixes.patch
  0032-kblrt5660-corrections-and-fixes.patch
  0033-bytcr-rt5640-corrections-and-fixes.patch
  0034-bytcht-es8316-corrections-and-fixes.patch
  0035-sof-hda-dsp-corrections-and-fixes.patch
  0036-ucm2-treewide-remove-Playback-and-Capture-channels-2.patch
* Tue Jan 21 2020 tiwai@suse.de
- Backport upstream fixes:
  fixes / corrections for sof-hda-dsp, es8316, chtrt5645 and
  broadwell-rt286:
  0001-sof-hda-dsp-Fix-the-Dmic0-CaptureMixerElem-for-v1.4..patch
  0002-sof-hda-dsp-Use-more-strict-names-according-latest-u.patch
  0003-README-remove-topologies-note.patch
  0004-bytcht-es8316-Fix-missing-including-of-HeadPhones.co.patch
  0005-ucm2-fix-the-verb-path-in-chtrt5645-chtrt5645-dmic2..patch
  0006-broadwell-rt286-add-support-for-hardware-volume-conf.patch
* Fri Nov 29 2019 tiwai@suse.de
- Update to alsa-ucm-conf 1.2.1.2:
  More UCM2 adaptions, SOF fixes / improvements, details found at
    https://www.alsa-project.org/wiki/Changes_v1.2.1.1_v1.2.1.2
* Fri Nov 15 2019 tiwai@suse.de
- New package, split from alsa-lib since v1.2.1
